/**
* <ul>
* Android Tutorial, An <strong>ST Informatique Services</strong>'s project.</br>
* Produced by <strong>Dr. Mathias SEGUY</strong> with the smart contribution of <strong>Julien PAPUT</strong>.</br>
* Delivered by <strong>http://android2ee.com/</strong></br>
* Belongs to <strong>http://stinfoservices.net/</strong></br>
* ****************************************************************************************************************</br>
* This code is free for any usage but can't be distribute.</br>
* The distribution is reserved to the site <strong>http://android2ee.com</strong>.</br>
* The intelectual property belongs to the company <strong>ST Informatique Services</strong>.</br>
* <em>http://stinfoservices.net/</em></br>
* </br>
* For any information (Advice, Expertise, J2EE or Android Training, Rates, Business):</br>
* <em>android@stinfoservices.net</em></br>
* *****************************************************************************************************************</br>
* Ce code est libre de toute utilisation mais n'est pas distribuable.</br>
* Sa distribution est reservée au site <strong>http://android2ee.com</strong>.</br>
* Sa propriété intellectuelle appartient à la société <strong>ST Informatique Services</strong>.</br>
* <em>http://stinfoservices.net/</em></br>
* </br>
* Pour tous renseignements (Conseil, Expertise, Formations J2EE ou Android, Prestations, Forfaits):</br>
* <em>android@stinfoservices.net</em></br>
* *****************************************************************************************************************</br>
* Les meilleurs des Ingénieurs Java-J2EE nous rejoignent pour participer avec nous à la grande aventure</br>
* de l’informatique des prochaines décennies.</br>
* N'hésitez pas à nous contacter.</br>
* *****************************************************************************************************************</br>
* net.stinfoservices.android.tuto</br>
* 25 mars 2011</br>
*/
package net.stinfoservices.android.tuto.gui;

import android.app.TabActivity;
import android.content.Intent;
import android.content.res.Resources;
import android.os.Bundle;
import android.widget.TabHost;
import android.widget.TabHost.OnTabChangeListener;
import android.widget.Toast;

public class MultiTabBrowserTuto extends TabActivity {
	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		// Define the Tab structure
		setContentView(R.layout.main);
		// Retrieve the ressource to access to the icon
		Resources resources = getResources(); // Resource object to get Drawables
		// Set the tabHost (set it has final to use it in the OnTabChangeListener)
		final TabHost tabHost = getTabHost();
		// Define the tabSpec that can be thought has the content of the TabPanel
		TabHost.TabSpec tabSpec;
		// Define the intent that is used to populate the tabSpec
		Intent intent;

		// Create an Intent to launch an Activity for the tab
		intent = new Intent().setClass(this, SiteWebSTI.class);

		// Initialize a TabSpec for each tab and add it to the TabHost
		// Get a new TabHost.TabSpec associated with this tab host.
		tabSpec = tabHost.newTabSpec("SiteWebSti");
		// Define its indicator the label displayed (it should be
		// ressources.getString(R.string.stringId)
		tabSpec.setIndicator("SiteSti", resources.getDrawable(R.drawable.ic_tab));
		// Define the content of the Spec (the TabPanel)
		tabSpec.setContent(intent);
		// Add it to the tab container
		tabHost.addTab(tabSpec);

		// Do the same with the tab that displays a simple TextView:
		// Define the intent that will be displayed
		intent = new Intent().setClass(this, TextViewActivity.class);
		// Get a new TabHost.TabSpec associated with this tab host.
		tabSpec = tabHost.newTabSpec("textView");
		// Define its indicator the label displayed (it should be
		// ressources.getString(R.string.stringId)
		tabSpec.setIndicator("TextView", resources.getDrawable(R.drawable.ic_tab));
		// Define the content of the Spec (the TabPanel)
		tabSpec.setContent(intent);
		// Add it to the tab container
		tabHost.addTab(tabSpec);
		
		// Do the same with the tab that displays a simple Clock (analogic and digital):
		// Define the intent that will be displayed
		intent = new Intent().setClass(this, ClockAD.class);
		// Get a new TabHost.TabSpec associated with this tab host.
		tabSpec = tabHost.newTabSpec("clock");
		// Define its indicator the label displayed
		tabSpec.setIndicator("Clock", resources.getDrawable(R.drawable.ic_tab));
		// Define the content of the Spec (the TabPanel)
		tabSpec.setContent(intent);
		// Add it to the tab container
		tabHost.addTab(tabSpec);
		
		
		//Define the current tab displayed (here the clock)
		tabHost.setCurrentTab(2);
		//Add a listener that just displays a Toast with the tag of the new selected tab
		tabHost.setOnTabChangedListener(new OnTabChangeListener() {
			@Override
			public void onTabChanged(String tabId) {
				Toast.makeText(getApplicationContext(), "New tab selection : " + tabHost.getCurrentTabTag(),
						Toast.LENGTH_SHORT).show();
			}
		});

	}
}